package com.factory.web.entity.pm.res;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 不放行任务对应的点检项目
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class PmItemNoGoListRes implements Serializable {

	@ApiModelProperty(value = "巡检项目id")
	private Long onsiteItemId;

	@ApiModelProperty(value = "巡检项目内容")
	private String itemContent;
	
	@ApiModelProperty(value = "质量经理用户id")
	private Long approvalUserId;

	@ApiModelProperty(value = "质量经理")
	private String approvalPerson;
	
}
